# geos::geom::prep::PreparedGeometryFactory Class Reference

A factory for creating PreparedGeometrys. More...

`#include <PreparedGeometryFactory.h>`

List of all members.

## Public Member Functions

const PreparedGeometry * | create (const geom::Geometry *geom) const

## Static Public Member Functions

static const PreparedGeometry * | prepare (const geom::Geometry *geom)
static void | destroy (const PreparedGeometry *geom)

## Detailed Description

A factory for creating PreparedGeometrys.

It chooses an appropriate implementation of PreparedGeometry based on the geoemtric type of the input geometry. In the future, the factory may accept hints that indicate special optimizations which can be performed.

Author:
  Martin Davis

## Member Function Documentation

const PreparedGeometry* geos::geom::prep::PreparedGeometryFactory::create | ( | const geom::Geometry * | geom ) | const

Creates a new PreparedGeometry appropriate for the argument Geometry.

Parameters:

  geom | the geometry to prepare

Returns:
  the prepared geometry

Referenced by prepare().

static void geos::geom::prep::PreparedGeometryFactory::destroy | ( | const PreparedGeometry * | geom ) | `[inline, static]`

Destroys PreparedGeometry allocated with the factory.

Parameters:

  geom | to be deallocated

static const PreparedGeometry* geos::geom::prep::PreparedGeometryFactory::prepare | ( | const geom::Geometry * | geom ) | `[inline, static]`

Creates a new PreparedGeometry appropriate for the argument Geometry.

Parameters:

  geom | the geometry to prepare

Returns:
  the prepared geometry

References create().

The documentation for this class was generated from the following file:

- PreparedGeometryFactory.h